org.apache.jmeter.report.processor.graph

## Class SeriesData

- java.lang.Object
- - org.apache.jmeter.report.processor.graph.SeriesData

    public class SeriesData
    extends Object

The class SeriesData helps to store series data in a graph.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`SeriesData(AggregatorFactory factory, boolean hasAggregatedKey, boolean isControllersSeries, boolean isOverallSeries)` Instantiates a new data seriesData.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`Map<Double,Aggregator>` `getAggregatorInfo()` Gets the groupData.
`long` `getCount()` Gets the count of samples.
`Aggregator` `getKeysAggregator()` Gets the keys aggregator of aggregated keys seriesData.
`Aggregator` `getValuesAggregator()` Gets the values aggregator of aggregated keys seriesData.
`void` `incrementCount()` Increment the count of samples.
`boolean` `isControllersSeries()` Checks if the current series is built from controller samples.
`boolean` `isOverallSeries()` Checks if the current series is an overall aggregation of other series.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SeriesData

    public SeriesData(AggregatorFactory factory,
                      boolean hasAggregatedKey,
                      boolean isControllersSeries,
                      boolean isOverallSeries)

Instantiates a new data seriesData.

Parameters:
  `factory` - the factory
  `hasAggregatedKey` - the has aggregated key
  `isControllersSeries` - the flag using to indicate if the current series is built from controller samples
  `isOverallSeries` - flag to indicate whether the current series is an aggregation of other series

### Method Detail

#### getAggregatorInfo

    public final Map<Double,Aggregator> getAggregatorInfo()

Gets the groupData.

Returns:
  the groupData

#### getKeysAggregator

    public final Aggregator getKeysAggregator()

Gets the keys aggregator of aggregated keys seriesData.

Returns:
  the keys aggregator

#### getValuesAggregator

    public final Aggregator getValuesAggregator()

Gets the values aggregator of aggregated keys seriesData.

Returns:
  the values aggregator

#### isControllersSeries

    public final boolean isControllersSeries()

Checks if the current series is built from controller samples.

Returns:
  true, if the current series is built from controller samples; false otherwise

#### isOverallSeries

    public final boolean isOverallSeries()

Checks if the current series is an overall aggregation of other series.

Returns:
  true, if the current series is an overall aggregation of other series; false otherwise

#### getCount

    public final long getCount()

Gets the count of samples.

Returns:
  the count of samples

#### incrementCount

    public void incrementCount()

Increment the count of samples.

#### clear

    public void clear()